Issue with Zdoom and Zdaemon

Whenever I run Zdoom or Zdaemon in full screen, I get this effect in the bottom right and left corners of the screen...it kind of reverseses and mirrors the top corners...It is quite bothersome. Although If I play in a maximized windowed mode, it looks like crap, but the effect goes away. Is there a fix to this problem?

Share this post


Link to post

try changing your resolution to something you know for a fact windows can support in full screen

i use 800*600 its a pretty standard res

Share this post


Link to post

Nah, that hasen't worked, i've tried every rez settig there is. Doesn't go away unless I play in a window

Share this post


Link to post

The latest zdoom has fixed that I believe. When I upgraded my video drivers a few months ago, suddenly I had that flashing with zdaemon and zdoom 1.22. Changing res to match my windows desktop res eliminated it.

For the latest zdoom, go to zdoom.notgod.com/lars and get the latest of fmod.dll, zdoom.wad and zdoom.exe from the 12.zip, 13.zip, 14.zip and 15.zip (or anything else newer that shows up).

Share this post


Link to post

-noptc I'll try that. I can't really put he rez the same as my desktop, because I have that set at 1024x768...and the framerate plummets if zdoom is that high. thnx

Share this post


Link to post

Perhaps...but why not just get the current zdoom which has fixed this problem?

Share this post


Link to post

um....I have the current version. 1.22 If that ISN'T the newest one, then the zdoom homepage musn't like to update. on top of that...oh christ, right? Isn't zdoom supposed to have Hexen/Heretic support? I can't get it working....although Heretic seem to work in legecy just fine and dandy

edit:

oh yeh the -noptc parameter fixed the problem with the blinking....thnx

Share this post


Link to post

Heh, ZDoom 1.22 is close to becoming 3 years old :) The latest "official" version is 1.23 beta 33. The very latest version can be found here. I guess it's one of the 2.0 pres (I did not check those files out). If you want to use one of those version you still need the zdoom.wad from the 1.23 beta 33.

And yes, ZDoom supports both Heretic and (limited) Hexen. Just run ZDoom with the -iwad parameter, i.e. zdoom -iwad heretic.wad or zdoom -iwad hexen.wad

Share this post


Link to post

The "pre 2.0" versions are found in zdoom.notgod.com/lars, and you actually cannot use the zdoom.wad from beta33. Use the latest of fmod.dll, zdoom.wad and zdoom.exe, selecting from the three files 13.zip, 14.zip and 15.zip. 15.zip contains the very latest .exe, with a last few bug fixes, and you'll notice, and then should ignore, the little text messages in the upper left when you lose health. Randy left that in by mistake when he was debugging a status bar function.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now